package com.muimi.mail.sample;
import java.util.Properties;

import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.Session;
import javax.mail.Store;
import javax.mail.URLName;

/**
 * [MTv
 * @author Shinji Miyamoto
 */
public class ReceiveMailSample {

	public void listMail() throws Exception{



		Properties prop = System.getProperties();
		prop.setProperty("jp.gr.java_conf.roadster.net.pop.offline","false");

		Session session = Session.getDefaultInstance(prop);
		
		session.setDebug(true);
		URLName uName = new URLName(
			"pop3://kabukin3:3kabukin@pop.mail.yahoo.co.jp/" 
			 + "?localstore=C:/tmp/mailstore/aaaa/"
			);
		Store store = session.getStore(uName);
		store.connect();

		Folder folder = store.getDefaultFolder();
		folder = folder.getFolder("INBOX");
		folder.open(Folder.READ_ONLY);


		Message[] messages = folder.getMessages();
		System.out.println(messages.length);

		for (int i = 0; i < messages.length; i++) {
			Message message = messages[i];
			System.out.println(
				message.getSubject()
				+ "," + message.getSize()
			);
		}

		store.close();
//		folder.close(true);

	}

	public static void main(String[] args) throws Exception{

		ReceiveMailSample p = new ReceiveMailSample();
		p.listMail();

		System.out.println("END");

	}
}
