package com.muimi.mail.sample;

import java.io.FileOutputStream;
import java.io.OutputStream;
import java.util.Properties;

import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Store;
import javax.mail.Transport;
import javax.mail.URLName;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

/**
 * [M̃Tv
 */
public class SendMailSample {

	public void sendMail() throws Exception{
		String from = "kabukin3@yahoo.co.jp";
		String fromName = "hogehoge";
		String to = "kabukin3@yahoo.co.jp";
		String enc = "iso-2022-jp";
		String subject = "subject";
		String text = "text";

		Properties prop = System.getProperties();
		prop.put("mail.smtp.host", "smtp.mail.yahoo.co.jp");

		URLName uName = new URLName(
			"pop3://kabukin3:3kabukin@pop.mail.yahoo.co.jp/" 
			 + "?localstore=C:/tmp/mailstore/"
			);

		Session session = Session.getDefaultInstance(prop, null);
		session.setDebug(true);

		checkPop3(session);
		
		MimeMessage mm = new MimeMessage(session);
		mm.setFrom(new InternetAddress(from, fromName, enc));
		
		mm.setRecipients(Message.RecipientType.TO, to);
		mm.setSubject(subject, enc);
		mm.setText(text, enc);
		mm.setHeader("Content-Type", "text/plain");

		Transport.send(mm);

		OutputStream out = new FileOutputStream("C:/tmp/mailstore/aaa.txt");
		mm.writeTo(out);
		out.close();
	}


	public void checkPop3(Session session) throws MessagingException{
		Store store = session.getStore("pop3");
		store.connect("pop.mail.yahoo.co.jp", -1, "kabukin3", "3kabukin");
		store.close();
	}
	

	public void listMail() throws Exception{
		Properties prop = System.getProperties();
		Session session = Session.getDefaultInstance(prop, null);
		Store store = session.getStore("pop3");
		store.connect("pop.mail.yahoo.co.jp", -1, "kabukin3", "3kabukin");

		Folder folder = store.getFolder("INBOX");
		folder.open(Folder.READ_ONLY);

//		int totalMessages = folder.getMessageCount();
//		if (totalMessages == 0) {
//			System.out.println("[͂Oł");
//			folder.close(false);
//			store.close();
//			return;
//		}

		Message[] messages = folder.getMessages();
		for (int i = 0; i < messages.length; i++) {
			Message message = messages[i];
			System.out.println(
				message.getSubject()
				+ "," + message.getSize()
			);
		}


		store.close();
	}






	public static void main(String[] args) throws Exception  {

		new SendMailSample().sendMail();
		//new Sample1().listMail();
		//System.out.println("END");
	}
	

	
	
}
