package com.muimi.mail.ui.editor;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.IEditorPart;

import com.muimi.mail.MailPlugin;
import com.muimi.mail.PluginResources;

/**
 * ԐMANV
 * @author Shinji Miyamoto
 */
public class ReplyAction extends Action{

	private IEditorPart editor;

	public ReplyAction(){
		setText("Reply");
		setToolTipText("reply Mail");
		setImageDescriptor(PluginResources.IMAGE_REPLY);
	}


	public void run(){
		System.out.println("run ReplyAction");

		MessageModel model = ((MailEditor)editor).getMessage();
		MessageModel replyModel = model.createReply();


		MailPlugin.getDefault().openMessage(replyModel);
	}


	public void setActiveEditor(IEditorPart editor){
		this.editor = editor;
	}
}
