package com.muimi.mail.ui;

import org.eclipse.jface.preference.DirectoryFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

import com.muimi.mail.MailPlugin;
import com.muimi.mail.PluginPreference;

/**
 * Sʂ̐ݒ
 * @author Shinji Miyamoto
 */
public class GlobalPreference
	extends FieldEditorPreferencePage
	implements IWorkbenchPreferencePage {

	/**
	 * @param style
	 */
	public GlobalPreference() {
		super(GRID);
		setPreferenceStore(MailPlugin.getDefault().getPreferenceStore());
	}

	/* ( Javadoc)
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	public void createFieldEditors() {


		DirectoryFieldEditor fieldEditor = new DirectoryFieldEditor(
				PluginPreference.MAIL_DATA_PATH,
				"ۑfBNg",
				getFieldEditorParent());
		addField(fieldEditor);

	}



	public void init(IWorkbench workbench) {
	}

}
