package com.muimi.mail.ui;

import org.eclipse.jface.preference.PreferencePage;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import com.muimi.mail.model.Account;

/**
 * AJEgXVy[W
 * @author Shinji Miyamoto
 */
public class UpdateAccountPropertyPage extends PreferencePage{

	private AccountSettingPage page;

	private Account account;

	public UpdateAccountPropertyPage(Account account){
		super("account");
		this.account = account;
	}

	protected Control createContents(Composite parent) {

		page = new AccountSettingPage(account.asPreference());
		Control ctrl = page.createControl(parent);

		return ctrl;
	}



	public boolean performOk() {

		account.setPreference(page.getPreference());
		
		return true;
	}

}
