package com.muimi.mail.ui.editor.content;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import org.eclipse.jface.text.IDocument;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

/**
 * @TODO NXRg܂傤
 * @author Shinji Miyamoto
 */
class Constants {

	private static Map fColorTable = new HashMap(10);

	public static Color COL_REPLY = getColor(new RGB(128, 192, 128));
	public static Color COL_DEFAULT = getColor(new RGB(0, 0, 0));
	public static Color COL_KEYWORD = getColor(new RGB(0, 0, 255));
	public static Color COL_URL = getColor(new RGB(0, 0, 255));



//TODO not called now from anywhere
	public static void dispose() {
		Iterator e = fColorTable.values().iterator();
		while (e.hasNext())
			 ((Color) e.next()).dispose();
	}
	
	public static Color getColor(RGB rgb) {
		Color color = (Color) fColorTable.get(rgb);
		if (color == null) {
			color = new Color(Display.getCurrent(), rgb);
			fColorTable.put(rgb, color);
		}
		return color;
	}
	
	public static String[] getContentTypes(){
		return new String[]{
			IDocument.DEFAULT_CONTENT_TYPE,
		};
	}

}
