package com.muimi.mail.ui.editor.content;

import org.eclipse.jface.text.rules.*;

public class StartWordRule implements IRule {
	private final IToken token;
	private final String word;

	public StartWordRule(String word, IToken token) {
		this.token = token;
		this.word = word;
	}

	public IToken evaluate(ICharacterScanner scanner) {

		if(scanner.getColumn() != 0){
			//scanner.unread();
			return Token.UNDEFINED;
		}

		for(int i=0; i<word.length(); i++){
			int c = scanner.read();
			if(c == word.charAt(i)){
			}else if (c == ICharacterScanner.EOF) {
				scanner.unread();
				return Token.UNDEFINED;
			}else{
				scanner.unread();
				return Token.UNDEFINED;
			}
		}

		for (;;) {
			int c = scanner.read();
			if (c == ICharacterScanner.EOF) {
				return token;
			}
		}
	}
}
